/**
* Copyright (c) 2019 The Nuinalp Authors. All rights reserved.
* Use of this source code is governed by a BSD-style license that can be
* found in the LICENSE file.
*/
@import '../../style//utils/animations';

:host {
  @extend .transition-exit;
  background-color: var(--nv-theme-alt-2);
  border-radius: 50%;
  cursor: pointer;
  display: inline-block;
  height: 24px;
  position: relative;
  transition-property: transform, background-color;
  vertical-align: middle;
  width: 24px;

  input {
    display: none;
    pointer-events: none;
  }
  
  .nv-checkbox-container {
    border-radius: 50%;
    height: 24px;
    pointer-events: none;
    width: 24px;
  }

  //
  // Checked
  //
}

:host(.nv-checkbox-disabled) {
  cursor: not-allowed;
  opacity: 0.55;
}

.nv-checkbox-checked {
  animation: activeCheckbox $transition-entrance $transition-speed-input;
  background-color: var(--nv-theme-primary);
  display: block;
  height: 100%;
  transition-property: background, height, width;
}

//
// Check icon
//

.nv-checkbox-icon {
  @extend .transition-exit;
  fill: #fff;
  height: 19px;
  left: 50%;
  opacity: 0;
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  visibility: hidden;
  width: 19px;


  &.checked {
    @extend .transition-entrance;
    opacity: 1;
    visibility: visible;
  }
}


//
// Animations 
//
// 

@keyframes activeCheckbox {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.2);
  }

  100% {
    transform: scale(1);
  }
}
